Summary: The MariaDB Native Client library (C driver)
Name: mariadb-connector-c
Version: 2.1.0
Release: 2%{?dist}

License: LGPLv2+
Group: Applications/Databases
Source: https://downloads.mariadb.org/f/connector-c-2.1.0/source-tgz/mariadb-connector-c-%{version}-src.tar.gz 
Url: https://mariadb.org/en/
BuildRequires: zlib-devel cmake openssl-devel

%description
The MariaDB Native Client library (C driver) is used to connect applications
developed in C/C++ to MariaDB and MySQL databases.

%package devel
Summary: Development files for mariadb-connector-c.
Group: Development/Libraries 
Requires: %{name} = %{version}-%{release}
BuildRequires: xmlto

%description devel
Development files for mariadb-connector-c.

%prep
%setup -q -n mariadb-connector-c-%{version}-src

%build
%cmake \
    .\
    -DMYSQL_UNIX_ADDR=/var/lib/mysql/mysql.sock\
    -DWITH_EXTERNAL_ZLIB=ON\
    -DPREFIX_INSTALL_DIR="/"\
    -DCMAKE_SYSTEM_PROCESSOR="%{_arch}"\
    -DPLUGIN_INSTALL_DIR="%{_libdir}/plugin"

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm /$RPM_BUILD_ROOT%{_libdir}/mariadb/libmariadbclient.a 
rm /$RPM_BUILD_ROOT%{_libdir}/mariadb/libmysqlclient.a
#
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/Makefile.am 
rm -r /$RPM_BUILD_ROOT%{_includedir}/mariadb/CMakeFiles 
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/mysql_version.h.in 
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/Makefile 
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/CMakeLists.txt 
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/my_config.h.in 
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/cmake_install.cmake


%files
%defattr(-,root,root,-)
%{_libdir}/mariadb/libmariadb.so.2
%{_libdir}/plugin/dialog.so
%{_libdir}/plugin/mysql_clear_password.so

%files  devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/mariadb/libmariadb.so
%{_libdir}/mariadb/libmysqlclient_r.so
%{_libdir}/mariadb/libmysqlclient.so
%{_libdir}/mariadb/libmysql.so
%{_includedir}/mariadb

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 23 2015 Matej Mužila <mmuzila@redhat.com> - 2.1.0-1
- Rebase to version 2.1.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 24 2014 Matej Mužila <mmuzila@redhat.com> - 2.0.0-2
- Fixed html IDs in documentation

* Tue Aug 26 2014 Matej Mužila <mmuzila@redhat.com> - 2.0.0-2
- Initial version for 2.0.0

